#!/bin/sh

##-------------------------------------------------------------------------------
## OUMA is Copyright (c)  2003 Volker Krause <volker_krause@gmx.net>
##
## Version:      2.0.0pre
## Creation:     02.04.2003  vk
## Last Update:  26.07.2004  vk
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation in Version 2; Not any previous or future
## version.
##-------------------------------------------------------------------------------

if test -f /var/run/ouma/$ip.blocked
then
	rm -f /var/run/ouma/$ip.time
else
	if ! test -f /var/run/ouma/$ip.neverblock
	then
		hostname=`cat /var/run/ouma/hn`
		/sbin/iptables -I INPUT 1 -s $ip -d ! $hostname -j ouma

		echo "" > /var/run/ouma/$ip.blocked
		rm -f /var/run/ouma/$ip.time

		if test -f /var/run/ouma/mitdialmode
		then
 			/usr/local/bin/ouma_updatedialmode.sh 		
		fi
	fi
fi